.categories {
    margin-top: 20px;
}

.categories form {
    margin-bottom: 20px;
}

.categories label {
    display: block;
    margin-bottom: 5px;
}

.categories input[type="text"] {
    width: 200px;
    padding: 8px;
    margin-bottom: 10px;
}

.categories button {
    padding: 8px 16px;
    background-color: #007bff;
    color: #fff;
    border: none;
    cursor: pointer;
    margin-right: 5px;
    border-radius: 5px;
}

.categories button:hover {
    background-color: #0056b3;
}

.categories .col {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 10px;
}

.categories .row button.edit {
    padding: 5px 10px;
    background-color: #28a745;
    color: #fff;
    border: none;
    cursor: pointer;
  }
  
  .categories .row button.edit:hover {
    background-color: #218838;
  }
  

.categories .row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    border: 1px solid #ccc;
}

.categories .row p {
    margin: 0;
}
  
.categories .row button {
    padding: 5px 10px;
    background-color: #dc3545;
    color: #fff;
    border: none;
    cursor: pointer;
}

.categories .row button:hover {
    background-color: #c82333;
}